curl --request POST \
--url 'https://api.stateset.com/api/v1/promotions' \
--header "Authorization: Bearer $STATESET_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"code": "string",
"description": "Two-person tent, green — replacement for damaged pole set.",
"discount_value": "5.00",
"ends_at": "2026-08-31T14:22:05Z",
"max_uses": 1,
"name": "Two-Person Tent",
"promotion_type": "string",
"starts_at": "2026-08-31T14:22:05Z"
}'
{
"code": "string",
"created_at": "2026-08-31T14:22:05Z",
"discount_value": "5.00",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "Two-Person Tent",
"promotion_type": "string",
"status": "pending"
}
Create a promotion
Create a promotion
POST
/
api
/
v1
/
promotions
curl --request POST \
--url 'https://api.stateset.com/api/v1/promotions' \
--header "Authorization: Bearer $STATESET_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"code": "string",
"description": "Two-person tent, green — replacement for damaged pole set.",
"discount_value": "5.00",
"ends_at": "2026-08-31T14:22:05Z",
"max_uses": 1,
"name": "Two-Person Tent",
"promotion_type": "string",
"starts_at": "2026-08-31T14:22:05Z"
}'
{
"code": "string",
"created_at": "2026-08-31T14:22:05Z",
"discount_value": "5.00",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "Two-Person Tent",
"promotion_type": "string",
"status": "pending"
}
Request body
CreatePromotionRequest
string,null
string,null
string,null
string,null
integer,null (int32)
string
required
string
required
string,null
Response
PromotionResponse
string,null
string
required
string,null
string
required
string
required
string
required
string
required
Status codes
| Code | Meaning |
|---|---|
201 | — |
400 | — |
curl --request POST \
--url 'https://api.stateset.com/api/v1/promotions' \
--header "Authorization: Bearer $STATESET_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"code": "string",
"description": "Two-person tent, green — replacement for damaged pole set.",
"discount_value": "5.00",
"ends_at": "2026-08-31T14:22:05Z",
"max_uses": 1,
"name": "Two-Person Tent",
"promotion_type": "string",
"starts_at": "2026-08-31T14:22:05Z"
}'
{
"code": "string",
"created_at": "2026-08-31T14:22:05Z",
"discount_value": "5.00",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "Two-Person Tent",
"promotion_type": "string",
"status": "pending"
}
Last modified on August 31, 2026